<link rel="import" href="../../polymer_components/polymer/polymer.html">

<dom-module id="projectinfo-card">
  <link rel="stylesheet" href="projectinfo-card.css">
  <template>
    <div class="column" style="text-align: left;">
      <div class="ui card">
        <div class="image">
          <img src="../img/{{img}}" alt="" />
        </div>
        <div class="content">
          <div class="header" style="font-size: 0.8em;">{{title}}</div>
          <div class="description description-font">
            {{begindate}} - {{finishdate}}
          </div>
          <div class="extra content extra-font">
            <b>Tipo de proyecto: </b> {{ptype}}
            <b>Estado: </b> {{state}}
          </div>
       </div>
      </div>
    </div>
  </template>
</dom-module>

<script>
  Polymer({
    is: 'projectinfo-card',
    properties: {
      title: String,
      img: String,
      begindate: Date,
      finishdate: Date,
      ptype: String,
      state: String
    },
    attached: function() {
      let b = this.begindate.toDateString().split(' ');
      let f = this.finishdate.toDateString().split(' ');
      this.begindate = b[1] + " " + b[3];
      this.finishdate = f[1] + " " + f[3];
    }
  });
</script>
